• Announcements

    • HEAVY265

      Attention Soldiers Operation Fury Needs you!   02/20/2020

      Attention All Soldiers, Operation Fury needs you.  You need to choose a side and sign up.  
      For more intel on Operation Fury Please click HERE Please go to Special Event Forum (here), And sign up for allied or axis.
      This will be a CRS Lead event on both sides.  Xoom will be heading up the axis side and Heavy265 will be heading up the Allied side. This will be for bragging rights.
      Why are we asking players to sign up you ask. We are trying for a role play experience.   We want this to be a true realistic event.  
      So get up and sign up and let's make this the best event ever!!!!!!!!!!
      Give me your war cry, grrrrrrrrrrrrr
      Heavy265 **out**
Sign in to follow this  
Followers 0
Figgy27

New patch broken ffs

15 posts in this topic

If you can't tell I'm kinda pissed

I get the error "C:\PROGRA~2\CRS\BATTLE~1\playarc02.ww2 is not a valid version and could not be upgraded"

such BS

Share this post


Link to post
Share on other sites
that take NO effect.

FFPs constant LOW.... and another thing... At Brussels attack i have had a few CTD´s

At this time it is horrible to play the game!

Same problem for me dropping to 4FPS! in brussels and CTD's Twice.

pretty damn unplayable for me since update :(

Share this post


Link to post
Share on other sites
that take NO effect.

FFPs constant LOW.... and another thing... At Brussels attack i have had a few CTD´s

At this time it is horrible to play the game!

kindly start your own thread.

We work on things one at a time here.

Share this post


Link to post
Share on other sites

Also get an I/O error when trying tor einstiall using my disc from 2005.

fails at

\CRS\Battleground Europe\playarc.w2m

Share this post


Link to post
Share on other sites
yes now I can't get it back on

can't get what back on?

The more specific you are and the more info you provide the easier it is for people to help you.

For the love of god, don't try and install from your disc, I doubt the game could stand upversioning through eleventy patches even if it were possible from 1.18/1.19 :)

Download the full installer, don't use download managers and don't run anything in the background while you d/l and install.

Edited by Rubbish

Share this post


Link to post
Share on other sites
Also get an I/O error when trying tor einstiall using my disc from 2005.

fails at

\CRS\Battleground Europe\playarc.w2m

As said, I get this error both when I attempt the disc (which used to work for stuff like this) and the full PC Install, both fail at the same folder, saying it's not a valid version to update. I would be more specific with the file but the error places "..." in front of the name so as to shorten it down, the above filename is as specific as it goes

Share this post


Link to post
Share on other sites

Delete the installer you have. Don't try to install from it again.

Uninstall the game.

Download the full installer to a different location from where the current one is.

Install to a different location from where it is now (e.g. program files/be rather than program files/crs/battlegroundeurope)

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.